RTPSessionBase(3)

NAME
RTPSessionBase -

Generic RTP protocol stack for exchange of realtime data.

SYNOPSIS

#include <rtp.h>

Detailed Description

Generic RTP protocol stack for exchange of realtime data. This stack uses the concept of packet send and receive queues to schedule and buffer outgoing packets and to arrange or reorder incoming packets as they arrive.

This is a template class that allows customization of two aspects: the underlying network and the control protocol. The RTPDataChannel and RTCPChannel template parameters specify the socket types to use. The ServiceQueue template parameter specify which packet queue is used.

RTPSessionBase objects do not have any threading policy, thus allowing to customize this aspect in derived classes (see SingleThreadRTPSession or RTPSessionPoolBase).

Author:
    David Sugar <dyfet@ostel.com> RTP protocol stack based on Common C++.

Author

Generated automatically by Doxygen for ccRTP from the source code.